%bcond_without  perl_Crypt_DES_enables_optional_test

Name:           perl-Crypt-DES
Version:        2.07
Release:    1%{?dist}
Summary:        Perl DES encryption module
License:        BSD-Systemics
URL:            https://metacpan.org/release/Crypt-DES
Source0:        https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-DES-%{version}.tar.gz
Patch0:         perl-Crypt-DES-init-braces.patch
Patch99:        perl-Crypt-DES-c99.patch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(Benchmark)
BuildRequires:  perl(Data::Dumper)
%if %{with perl_Crypt_DES_enables_optional_test}
BuildRequires:  perl(Crypt::CBC) > 1.22
%endif

%{?perl_default_filter}

%description
DES encryption module. The module implements the Crypt::CBC interface.

%prep
%setup -q -n Crypt-DES-%{version}

%patch -P 0

%patch -P 99 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYRIGHT
%doc README
%{perl_vendorarch}/auto/Crypt/
%{perl_vendorarch}/Crypt/
%{_mandir}/man3/Crypt::DES.3*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.07-1
- initial build
